Nach Kernel Update auf 5.3.18-lp152.66.2 Bus Zugriffsfehler

Nach dem letzten Kernel-Update auf 5.3.18-lp152.66.2 tritt bei mir bei verschiedenen Programmen (Gimp, ghb, Handbrake) ein Bus Zugriffsfehler auf. Bei Perl Scripten erhalte ich “Magic number checking on storabel file failed”. Es liegt wirklich am Kernel-Update, denn wenn ich ein Snapper Rollback mache, ist alles wieder ok. Sorry, wenn ich nicht präzise bin, ich bin noch Newbee.

denn wenn ich ein Snapper Rollback mache

Warum das?
Warum nicht mit dem alten kernel starten?

Ansonsten:
bugreport

Wie geht das? Gibt es eine Anleitung?

Starten mit älterer Kernel-Version: https://doc.opensuse.org/documentation/leap/startup/html/book-opensuse-startup/cha-trouble.html#sec-trouble-boot-hang

Fehler-Report erstellen: openSUSE:Submitting bug reports - openSUSE Wiki und https://bugzilla.opensuse.org

Viele Grüße

susejunky

Hier ist Gimp i.O. …

  • Beim Perl Skripten prüfe ob, irgend ein Datei plötzlich korrupt ist …

Also, bitte deine Repository-URLen preisgeben – “zypper repos --uri

Hier sind die Repository-URLs:

Die Repository-Prioritäten sind ohne Effekt. Alle aktivierten Repositorys teilen sich die gleiche Priorität.

#  | Alias                                 | Name                                                    | Enabled   | GPG Check       | Refresh        | URI
---+---------------------------------------+---------------------------------------------------------+-----------+-----------------+----------------+-------------------------------------------------------------------------
 1 | ftp.gwdg.de-openSUSE_Leap_$releasever | Packman Repository                                      | Ja        | (r ) Ja         | Ja             | http://ftp.gwdg.de/pub/linux/misc/packman/suse/openSUSE_Leap_15.2/
 2 | google-chrome                         | google-chrome                                           | Ja        | (r ) Ja         | Ja             | http://dl.google.com/linux/chrome/rpm/stable/x86_64
 3 | openSUSE-Leap-15.2-1                  | openSUSE-Leap-15.2-1                                    | Nein      | ----            | ----           | cd:/?devices=/dev/disk/by-id/ata-Slimtype_DVD_A_DU8A6SH_417609501045
 4 | opensuse-guide.org-repo               | Libdvdcss Repository                                    | Ja        | (r ) Ja         | Ja             | http://opensuse-guide.org/repo/openSUSE_Leap_15.2/
 5 | repo-debug                            | Debug Repository                                        | Nein      | ----            | ----           | http://download.opensuse.org/debug/distribution/leap/15.2/repo/oss/
 6 | repo-debug-non-oss                    | Debug Repository (Non-OSS)                              | Nein      | ----            | ----           | http://download.opensuse.org/debug/distribution/leap/15.2/repo/non-oss/
 7 | repo-debug-update                     | Update Repository (Debug)                               | Nein      | ----            | ----           | http://download.opensuse.org/debug/update/leap/15.2/oss/
 8 | repo-debug-update-non-oss             | Update Repository (Debug, Non-OSS)                      | Nein      | ----            | ----           | http://download.opensuse.org/debug/update/leap/15.2/non-oss/
 9 | repo-non-oss                          | Non-OSS Repository                                      | Ja        | (r ) Ja         | Ja             | http://download.opensuse.org/distribution/leap/15.2/repo/non-oss/
10 | repo-oss                              | Haupt-Repository                                        | Ja        | (r ) Ja         | Ja             | http://download.opensuse.org/distribution/leap/15.2/repo/oss/
11 | repo-source                           | Source Repository                                       | Nein      | ----            | ----           | http://download.opensuse.org/source/distribution/leap/15.2/repo/oss/
12 | repo-source-non-oss                   | Source Repository (Non-OSS)                             | Nein      | ----            | ----           | http://download.opensuse.org/source/distribution/leap/15.2/repo/non-oss/
13 | repo-update                           | Hauptaktualisierungs-Repository                         | Ja        | (r ) Ja         | Ja             | http://download.opensuse.org/update/leap/15.2/oss
14 | repo-update-non-oss                   | Aktualisierungs-Repository (Nicht-Open-Source-Software) | Ja        | (r ) Ja         | Ja             | http://download.opensuse.org/update/leap/15.2/non-oss/

Nur zwei mögliche verdächtige –

Probier mal libdvdcss vom der Hersteller – VideoLAN – zu holen – <https://download.videolan.org/SuSE/Leap_15.2/&gt; …
Ob Alphabet/Google der Übeltäter ist?

  • Vielleicht der Browser entfernen und schauen ob, das Problem behoben ist oder, nicht.

Probier mal libdvdcss vom der Hersteller – VideoLAN – zu holen – <https://download.videolan.org/SuSE/Leap_15.2/&gt; …

Das ist im lbdvdcss Repo von denen…

Ich habe Chrome deinstalliert und dvdcss auf VideoLan umgezogen. Als ich dann die anstehenden Aktualisierungen mit neuem Kernel durchgeführt habe, trat das Problem zunächst wieder auf. Aber dann kamen noch ein paar Aktualisierungen von Packman (Multimediapakete) nach und seit dem ist mein Problem behoben. Vielen Dank für die schnelle und kompetente Hilfe. lol!

Ich verstehe gerade die Welt nicht mehr. Ich habe ein paar Programme aufgerufen und plötzlich ist mein altes Problem wieder da :’(

Ich habe

zypper ver

ausgeführt und bekomme folgende Meldung:

zypper ve
Metadaten von Repository 'Hauptaktualisierungs-Repository' abrufen ..........................................................................[fertig]
Cache für Repository 'Hauptaktualisierungs-Repository' erzeugen .............................................................................[fertig]
Repository-Daten werden geladen...
Installierte Pakete werden gelesen...

Die folgenden 2 Pakete werden GELÖSCHT:
  bind-libs libreoffice-icon-theme-oxygen

2 zu entfernende Pakete.
Nach dem Vorgang werden 5,2 MiB freigegeben.
Einige der Abhängigkeiten der installierten Pakete sind beschädigt. Um diese Abhängigkeiten zu reparieren, müssen die folgenden Aktionen ausgeführt w
erden:
**Fortfahren? [j/n/v/...? zeigt alle Optionen] (j): **
(1/2) bind-libs-9.9.6P1-33.1.x86_64  wird entfernt ..........................................................................................[fertig]
Zusätzliche rpm-Ausgabe:
error: rpmdbNextIterator: skipping h#   14093 
Header V3 RSA/SHA256 Signature, key ID 3dbdc284: BAD
Header SHA1 digest: BAD (Expected 64ce4cb3759fd8fe190fb7a9994f3d28063a998a != d8921908312562dd54308e74a9ace3154413315e)


(2/2) libreoffice-icon-theme-oxygen-5.0.4.2-4.1.noarch  wird entfernt .......................................................................[fertig]
Zusätzliche rpm-Ausgabe:
error: rpmdbNextIterator: skipping h#   12718 
Header V3 RSA/SHA256 Signature, key ID 3dbdc284: BAD
Header SHA1 digest: BAD (Expected 1a1dee824ae28b913aee9ff218fb3bb36a99712e != 48eaec9d0e034cf6435e24528401b759cd4fe9b1)

die beiden Pakete lassen sich nicht löschen!

Bitte poste mal damit wir Deine Prios sehen

$ zypper lr -d

Die Repos # 3 … 8 , 11 , 12 , solltest Du löschen.

Du brauchst sie nicht … :wink:

Kann man machen, aber ist nicht zwingend nötig und hat auch nichts mit dem Problem zu tun.

Möglicherweise, ist die RPM Datenbank irgendwie nicht in Ordnung – bitte, die folgende RPM Kommandos ausführen –


 # rpm --rebuilddb
 # rpm --verify --all

Bei „rpm --verify” acht auf “missing” nehmen –

 > rpm --query --whatprovides »*fehlende Datei samt gesamt Pfad*«

Paket mit fehlende Datei zwangsmäßig neu installieren – außer, Schriftarten Du nicht brauchtest –

 # zypper install --force »*Paket*«

Dann „zypper verify” noch mal …

Ich habe die Anweisungen ausgeführt:

rpm --verify --all

gib einige “missing” aus aber viele Fehlermeldungen im folgenden Stil

error: rpmdbNextIterator: skipping h#       6  
Header V3 RSA/SHA256 Signature, key ID 3dbdc284: BAD
Header SHA1 digest: BAD (Expected 64ce4cb3759fd8fe190fb7a9994f3d28063a998a != d8921908312562dd54308e74a9ace3154413315e)

Von den “missing” Paketen konnte ich nur eines installieren, alle anderen wurden von “what provides” nicht im Verzeichnis oder von “install” nicht in meinen Repos gefunden.
Einzig installiert habe ich

xorg-x11-libX11-ccache

Die Ausgabe von

zypper verify

hat sich nicht geändert.

Als root:

zypper clean -a && rpm --rebuilddb && zypper ref

Wenn das ohne Fehlermeldung durchgelaufen ist, als root:

zypper up

Wenn es immer noch Fehlermeldungen gibt, poste:

zypper lr -d

Ich habe die Anweisungen durchgeführt. Bei zypper up gab es die folgende Meldung:

Die folgenden 17 Paketaktualisierungen werden NICHT installiert:
  liba52-0 libBasicUsageEnvironment1 libgroupsock8 libmpeg2-0 libmpeg2convert0 libsox3 libUsageEnvironment3 libvlc5 libvlccore9 sox vlc
  vlc-codec-gstreamer vlc-lang vlc-noX vlc-opencv vlc-qt vlc-vdpau
Keine auszuführenden Aktionen.

ansonsten hat sich an meinem Problem nichts geändert. Ich habe das Gefühl, dass ein Paket korrupt ist und nicht updatet wird, weil es aktuell erscheint. Gibt es einen Befehl, alle installierten Pakete aus den Repositories zu ersetzen?

zypper lr -d
#  | Alias                                 | Name                                                    | Enabled   | GPG Check       | Refresh        | Priority  | Type   | URI                                                   
                   | Serv->
---+---------------------------------------+---------------------------------------------------------+-----------+-----------------+----------------+-----------+--------+-------------------------------------------------------
-------------------+-------
 1 | Leap_15.2                             | VideoLAN                                                | Ja        | (r ) Ja         | Ja             |   99      | rpm-md | https://download.videolan.org/SuSE/Leap_15.2/         
                   |  
 2 | ftp.gwdg.de-openSUSE_Leap_$releasever | Packman Repository                                      | Ja        | (r ) Ja         | Ja             |   99      | rpm-md | http://ftp.gwdg.de/pub/linux/misc/packman/suse/openSUS
E_Leap_15.2/       |  
 3 | openSUSE-Leap-15.2-1                  | openSUSE-Leap-15.2-1                                    | Nein      | ----            | ----           |   99      | rpm-md | cd:/?devices=/dev/disk/by-id/ata-Slimtype_DVD_A_DU8A6S
H_417609501045     |  
 4 | repo-debug                            | Debug Repository                                        | Nein      | ----            | ----           |   99      | NONE   | http://download.opensuse.org/debug/distribution/leap/1
5.2/repo/oss/      |  
 5 | repo-debug-non-oss                    | Debug Repository (Non-OSS)                              | Nein      | ----            | ----           |   99      | NONE   | http://download.opensuse.org/debug/distribution/leap/1
5.2/repo/non-oss/  |  
 6 | repo-debug-update                     | Update Repository (Debug)                               | Nein      | ----            | ----           |   99      | NONE   | http://download.opensuse.org/debug/update/leap/15.2/os
s/                 |  
 7 | repo-debug-update-non-oss             | Update Repository (Debug, Non-OSS)                      | Nein      | ----            | ----           |   99      | NONE   | http://download.opensuse.org/debug/update/leap/15.2/no
n-oss/             |  
 8 | repo-non-oss                          | Non-OSS Repository                                      | Ja        | (r ) Ja         | Ja             |   99      | rpm-md | http://download.opensuse.org/distribution/leap/15.2/re
po/non-oss/        |  
 9 | repo-oss                              | Haupt-Repository                                        | Ja        | (r ) Ja         | Ja             |   99      | rpm-md | http://download.opensuse.org/distribution/leap/15.2/re
po/oss/            |  
10 | repo-source                           | Source Repository                                       | Nein      | ----            | ----           |   99      | NONE   | http://download.opensuse.org/source/distribution/leap/
15.2/repo/oss/     |  
11 | repo-source-non-oss                   | Source Repository (Non-OSS)                             | Nein      | ----            | ----           |   99      | NONE   | http://download.opensuse.org/source/distribution/leap/
15.2/repo/non-oss/ |  
12 | repo-update                           | Hauptaktualisierungs-Repository                         | Ja        | (r ) Ja         | Ja             |   99      | rpm-md | http://download.opensuse.org/update/leap/15.2/oss     
                   |  
13 | repo-update-non-oss                   | Aktualisierungs-Repository (Nicht-Open-Source-Software) | Ja        | (r ) Ja         | Ja             |   99      | rpm-md | http://download.opensuse.org/update/leap/15.2/non-oss/
                   |

Tu mir eine Gefallen und lösche das Videolan Repo.
Videolan und Packman gleichzeitig ergibt irgendwann Probleme.
Die vlc Versionen sind meist gleich.

Als root:

zypper rr https://download.videolan.org/SuSE/Leap_15.2/
zypper dup --allow-vendor-change --from http://ftp.gwdg.de/pub/linux/misc/packman/suse/openSUSE_Leap_15.2/

Der erste Befehl löscht das Videolan Repo, der zweite Befehl stellt alle installierten Pakete auf das Packman Repo um, falls möglich.

Das VidoLan Repo habe ich wieder rausgeworfen. Dann habe ich in Yast die Möglichkeit gefunden, alle installierten Pakete neu zu installieren. Das habe ich getan, bis auf den Kernel, Zypper und Packagekit. Da hatte ich die Sorge, mir den Teppich unter den Füßen wegzuziehen. Wahrscheinlich hätten diese Pakete auch funktioniert. Jetzt läuft mein System einwandfrei, alle Probleme sind behoben. Wahrscheinlich war ein Paket korrupt, wie ich schon vermutet habe.